package lc.esp.security.sdk;

import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

public class ObjectClassification {
    private final ClassificationLevel level;
    private final Set labels;

    public ObjectClassification(ClassificationLevel level, Set<String> labels) {
        this.level = level;
        var l = new HashSet<>();
        l.addAll(labels);
        this.labels = Collections.unmodifiableSet(l);
    }

    public Set<String> getLabels() {
        return labels;
    }
}
